# Listar estructuras/esquemas de todos los Formularios

Para obtener las estructuras/esquemas de todos los formulario existentes, se debe enviar un GET como el que se especifica a continuación.

<mark style="color:blue;">`GET`</mark> `https://api.persat.com.ar/v1/digital-forms-schemas`

#### Path Parameters

| Name           | Type    | Description                                                                |
| -------------- | ------- | -------------------------------------------------------------------------- |
| includeWidgets | Boolean | true \| false. En caso de ser true, incluye la descripcion de los widgets. |

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY |

{% tabs %}
{% tab title="200: OK includeWidgets=true" %}

```json
{
	"success": true,
	"data": [{
		"form_group": 8,
		"schema_id": 52,
		"production": true,
		"version": 2,
		"draft": false,
		"description": {
			"title": "Encuesta de Satisfacción",
			"color": "GREEN",
			"widgets": [{
				"id": "FWmHGab5j",
				"title": "Nombre",
				"subtitle": "Complete el nombre y apellido",
				"widget_type": "TEXT_FIELD"
			},
			{
				"id": "FWPaMzjJt",
				"title": "Observaciones generales",
				"subtitle": "Complete las observaciones",
				"widget_type": "TEXT_PARAGRAPH"
			}, {...} 	/* Otro widget */	
			]
		}
	}, {...}	/* Otro tipo de formulario */
	]
}
```

{% endtab %}

{% tab title="400: Bad Request Error" %}

```javascript
{
    "success": false,
    "error": {
        "status": 400,
        "type": "BAD_REQUEST",
        "userMessage": "descripción del error"
    }
}
```

{% endtab %}

{% tab title="200: OK includeWidgets=false | undefined" %}

```json
{
	"success": true,
	"data": [{
		"form_group": 8,
		"schema_id": 52,
		"production": true,
		"version": 2,
		"draft": false,
		"description": {
			"title": "Encuesta de Satisfacción",
			"color": "GREEN"
		}
	}, {...}	/* Otro tipo de formulario */
	]
}
```

{% endtab %}
{% endtabs %}

### Analizando la Respuesta

La respuesta es identica a la que se obtiene en [Obtener estructura/esquema de un Formulario](/modulos/formularios-digitales/obtener-estructura-esquema-de-un-formulario.md), solo que "data" ahora es un array, en donde cada item, es cada tipo de formulario.

{% hint style="info" %}
En caso de no enviar el parámetro **includeWidgets**, el field "widgets" no aparecerá en la respuesta
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/modulos/formularios-digitales/listar-estructuras-esquemas-de-todos-los-formularios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
